package cz.vutbr.feec.gui;

import java.awt.Graphics2D;

import cz.vutbr.feec.math.GNPConfig;

public class PanelLmEdit extends ImageSelectPanelDraggable {
	private static final long serialVersionUID = -8880780611586705825L;

	public PanelLmEdit(int width, int height, String imgPath,
			GNPConfig conf) {
		super(width, height, imgPath, conf);
	}

	@Override
	public void drawLandmark(Graphics2D g2d, LandmarkGui lm) {
		lm.drawShape(g2d, lm.getPosition().x, lm.getPosition().y);
	}

	@Override
	public int getLmPositionX(LandmarkGui lm) {
		return lm.getPosition().x;
	}

	@Override
	public int getLmPositionY(LandmarkGui lm) {
		return lm.getPosition().y;
	}

}
